"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseHeaders = exports.escapeHtmlAttribute = void 0;
function escapeHtmlAttribute(str) {
    return str
        .replace(/&/g, '&amp;')
        .replace(/'/g, '&apos;')
        .replace(/"/g, '&quot;')
        .replace(/</g, '&lt;')
        .replace(/>/g, '&gt;');
}
exports.escapeHtmlAttribute = escapeHtmlAttribute;
function parseHeaders(rawHeaders) {
    const h = new Map();
    for (let i = 1; i < rawHeaders.length; i += 2) {
        const key = rawHeaders[i - 1].toLowerCase();
        const value = rawHeaders[i];
        const values = h.get(key);
        if (values === undefined) {
            h.set(key, [value]);
        }
        else {
            values.push(value);
        }
    }
    return h;
}
exports.parseHeaders = parseHeaders;
//# sourceMappingURL=utils.js.map